# Import data

library(readxl)
Shots <- read_excel("C:/Users/Takashi Fukushima/Desktop/YouTube League Stat/League ststs.xlsx", sheet = "Shots")

Shots.on.target <- read_excel("C:/Users/Takashi Fukushima/Desktop/YouTube League Stat/League ststs.xlsx", sheet = "Shots on target")

Corners <- read_excel("C:/Users/Takashi Fukushima/Desktop/YouTube League Stat/League ststs.xlsx", sheet = "Corner kicks")

Fouls <- read_excel("C:/Users/Takashi Fukushima/Desktop/YouTube League Stat/League ststs.xlsx", sheet = "Fouls")

Yellow <- read_excel("C:/Users/Takashi Fukushima/Desktop/YouTube League Stat/League ststs.xlsx", sheet = "Yellow cards")

Red <- read_excel("C:/Users/Takashi Fukushima/Desktop/YouTube League Stat/League ststs.xlsx", sheet = "Red cards")

# Extract data
Shots <- Shots[,1:6]
Shots.on.target <- Shots.on.target[,1:6]
Corners <- Corners[,1:6]
Fouls<- Fouls[,1:6]
Yellow<- Yellow[,1:6]
Red<- Red[,1:6]

# Box plot
boxplot(Shots, main = 'Shots', ylab = 'A number of shots')
boxplot(Shots.on.target, main = 'Shots on target', ylab = 'A number of shots on target')
boxplot(Corners, main = 'Corner kicks', ylab = 'A number of corner kicks')
boxplot(Fouls, main = 'Fouls', ylab = 'A number of fouls')
boxplot(Yellow, main = 'Yellow cards', ylab = 'A number of yellow cards')
boxplot(Red, main = 'Red cards', ylab = 'A number of red cards')

# Anova
library(tidyr)
data.long <- gather(Stats,Country,Shots,England:Spain,factor_key = T)
ANOVA1 <- aov(Shots~Country,data = data.long)
summary(ANOVA1)

# Post hoc test
TukeyHSD(ANOVA1)

